Gecode::MiniModel::NodeInfo Class Reference

Node information computed during traversal of the expressions. More...

## Public Member Functions

| NodeInfo (bool n=false, PosSet *fp=nullptr, PosSet *lp=nullptr)

## Public Attributes

bool | nullable
PosSet * | firstpos
PosSet * | lastpos

## Detailed Description

Node information computed during traversal of the expressions.

Definition at line 525 of file reg.cpp.

## Constructor & Destructor Documentation

## NodeInfo()

Gecode::MiniModel::NodeInfo::NodeInfo | ( | bool | n = false,
|  | PosSet * | fp = nullptr,
|  | PosSet * | lp = nullptr )

inline

Definition at line 552 of file reg.cpp.

## Member Data Documentation

## nullable

bool Gecode::MiniModel::NodeInfo::nullable

Definition at line 527 of file reg.cpp.

## firstpos

PosSet* Gecode::MiniModel::NodeInfo::firstpos

Definition at line 528 of file reg.cpp.

## lastpos

PosSet* Gecode::MiniModel::NodeInfo::lastpos

Definition at line 529 of file reg.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/reg.cpp